@function rem($pixels, $context: 16px) {
  @if (unitless($pixels)) {
    $pixels: $pixels * 1px;
  }

  @if (unitless($context)) {
    $context: $context * 1px;
  }

  @return $pixels / $context * 1rem;
}

@mixin below($breakpoint) {
  @media only screen and (max-width: $breakpoint) {
    @content;
  }
}

@mixin above($breakpoint) {
  @media only screen and (min-width: $breakpoint) {
    @content;
  }
}

@mixin mainFont($weight: $font-weight-extrabold) {
  font: {
    family: $font-family-text;
    weight: $weight;
    style: normal;
  };
}

@function headings($from: 1, $to: 6) {
  @if $from == $to {
    @return 'h#{$from}';
  } @else {
    @return 'h#{$from},' + headings($from + 1, $to);
  }
}
